import java.lang.reflect.Method;
import java.util.HashMap;


public class Delegator<T> {
    private HashMap<Method, Object> methods = new HashMap<>();

    public void add(Method method_ref, Object consumer) {
        methods.put(method_ref, consumer);
    }

    public void remove(Object method_ref) {
        methods.remove(method_ref);
    }

    public void invoke(T arg) {
        try {
            Method method = methods.keySet().stream().toList().get(0);
            FormMapWithArmoredCars consumer = (FormMapWithArmoredCars) methods.get(method);
            method.setAccessible(true);
            method.invoke(consumer, arg);
        }
        catch (Exception e) {
            e.printStackTrace();
        }
    }
}
